; SNAPCONTROL config file.
; https://gitea.exabyte-systems.com/WINDOWS/snapcontrol
;
; This tool creates an image backups of windows machines,
; it uses the Drive Snapshot tool by Tom Ehlert Software.
; Please support this great tool and buy a license.
; http://www.drivesnapshot.de/en/order.htm
;
; Copyright (c) 2019-2021 Michael H.G. Schmidt
; EMAIL: michael@schmidt2.de
; Released under the MIT license.
;
; IMPORTANT: DO NOT USE quotation marks in this INIFILE !
;

[BACKUP]
; path where snapshot.exe and cmail.exe is located ...
BinPath = c:\tools

; target PATH examples:
; - "D:\BACKUP" (LOCAL path on drive d:)
; - "\\example\share" (SMB share on server "example")
; - "/backup" (some path on FTP server)
TargetPath = D:\BACKUP

; activate FTP backup with "yes"
FtpBackup = no

; name of ftp server
FtpServer = ftp.example.com

; target USER (only for SMB/FTP mode needed)
TargetUser = ftpbackup

; target PASSWORD (only for SMB/FTP mode needed)
TargetPassword = mypassword

; backup schedule modes:
; TIME  -> absolute start time (format = hh:mm)
; LOGIN -> delay before starting the backup after login (format = mmmm:ss)
BackupSchedMode = LOGIN
BackupStart = 0005:00

; disks to dump (please use Drive Snapshot format!)
; see http://www.drivesnapshot.de/en/commandline.htm
Disks2Dump = HD1:*

; paths to exclude (comma separated list)
; spaces in filenames must be enclosed with ""
ExcludeList = c:\TEMP,C:\Perflogs

; maximum size of dumpfiles in MB (reduce for fat32 target drives to 4095)
DumpSize = 4095

; verify the backup ?
Verify = yes

; delete all files in the recycle bin before starting the backup ?
BurnTrash = no

; encrypt the backup ?
; no: do NOT encrypt
; dynamic: generate a password. will be sent via mail
;   HINT: Generation happens only ONCE and only in case
;   that "encryptpw" ist empty. snapcontrol will write
;   the generated password into the inifile !
; yes: use the password in variable "encryptpw"
Encrypt = no

; some hard to guess password ---> WRITE IT DOWN !!!
; and DO NOT USE quotation marks !
EncryptPW =

; limit write IO in MB/s
LimitIO =

; should drive/media be ejected after backup ? (yes/no)
EjectMedia = yes

; should we ask for a shutdown after backup ? (yes/no)
AskForShutdown = yes


[LOGGING]

; directory for logfiles
LogDir  = C:

; single run logfile
LogFile = snapshot-backup.log

; cumulated logfile
HistLog = snapshot-history.log


[MAIL]
;
; We use "CMail" here because the builtin mail funtions (PureBasic)
; are having problems with modern starttls(ssl/tls) communication
;

; shall we send a mail ?
MailReport = no

; maildebugging ? (yes/no)
MailDebug = no

; mail sender...
; address formt can be: 
;      john.doe@domain.com
; or "<john.doe@domain.com>"
; or  "john doe <john.doe@domain.com>"
; HINT: some mail providers do not accept fictional sender addresses!
MailFrom = "MyBackup <john.doe@domain.com>"

; mail recipient...
MailTo = backup@example.com

; address of SMTP server (TLS/SSL only !)
MailServer = smtp.gmail.com

; user for sending mail 
MailUser = example@gmail.com

; password on mailserver 
MailPass = mypassword

